%define wrongversion 1.4+0.47pd

Name: dict-web1913
Version: 1.4_0.47pd
Release: ipl5
Group: Text tools
License: GPL, Public Domain

Summary: Webster dictionary in dict format
Summary(ru_RU.KOI8-R):     dict

Source: %name-%wrongversion.tar.bz2
Source1: webster-sedscript
Source2: debian-copyright

Patch: debian-webster.patch.bz2

BuildArchitectures: noarch
BuildRequires: dict-tools

PreReq: dictd

%description
This is the most full english dictionary by Webster published in 1913.
It is free because all copyrights ended due to the time. But it is still
very helpful in work.

%description -l ru_RU.KOI8-R
        
 1913 .    - ,    
  . ,       
   .

%prep
%setup -q -n %name-%wrongversion
%patch0 -p1
cp %SOURCE1 ./sedfile

%build
%configure
export LANG=C
#NO SMP
%make
%make db

%install
mkdir rpmdoc
cp ChangeLog README rpmdoc
cp %SOURCE2 rpmdoc/LICENSE
mkdir -p $RPM_BUILD_ROOT%_datadir/dictd
export LANG=C
make dictdir=$RPM_BUILD_ROOT%_datadir/dictd install

%post
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%postun
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%files
%_datadir/dictd/*
%doc rpmdoc/*

%changelog
* Wed Jan 29 2003 Alexey Dyachenko <alexd@altlinux.ru> 1.4_0.47pd-ipl5
- fixed bug #0001708: service dictd condreload would be more appropriate
	than condrestart

* Tue Oct 15 2002 Alexey Dyachenko <alexd@altlinux.ru> 1.4_0.47pd-ipl4
- fixed bug #0001350:  missing PreReq: dictd
- spec cleanup

* Wed Apr 17 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4_0.47pd-ipl3
- removed illegal symbol from version

* Wed Feb 21 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> ipl2
- Added /usr/sbin/ before dictdconfig in case use hasn't /usr/sbin in
$path.

* Mon Feb  5 2001 Peter 'Nidd' Novodvorsky ipl1
- initial release

